aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorgramanas <anastasis.gramm2@gmail.com>2018-04-16 14:34:30 +0300
committergramanas <anastasis.gramm2@gmail.com>2018-04-16 14:43:50 +0300
commit94bc38df829c4816e629c7dcaed31b1e7c75bc4b (patch)
treec02d2de0f44462c82e24591127caf66b05d8710d /tests
parentafc0f4906ed9891962d1797581afeb5c61e2e3af (diff)
downloadck-94bc38df829c4816e629c7dcaed31b1e7c75bc4b.tar.gz
ck-94bc38df829c4816e629c7dcaed31b1e7c75bc4b.tar.bz2
ck-94bc38df829c4816e629c7dcaed31b1e7c75bc4b.zip
Add asan option to cmake
finish init without any asan warnings
Diffstat (limited to 'tests')
-rwxr-xr-xtests/init24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/init b/tests/init
new file mode 100755
index 0000000..0c38da1
--- /dev/null
+++ b/tests/init
@@ -0,0 +1,24 @@
+#!/bin/bash
+BIN=/build/ck
+
+TEST_LOCATION=@PROJECT_TESTING_GROUNDS@
+mkdir -p $TEST_LOCATION/vc
+mkdir $TEST_LOCATION/sec
+
+exec $BIN/ck conf $BIN init $TEST_LOCATION/vc $TEST_LOCATION/sec &
+wait $!
+
+if [ ! -f $BIN/ckrc ]; then
+ echo -e $ERROR"Config file not created."
+ exit 1
+fi
+
+if [ ! -f $BIN/ckdb ]; then
+ echo -e $ERROR"DB file not created."
+ exit 1
+fi
+
+rm $BIN/ckrc
+rm $BIN/ckdb
+rm -rf $TEST_LOCATION
+echo -e $PASS